# $Revision: 1.11 $, $Date: 2007/05/06 10:45:30 $
Summary:	Microsoft PE executable type detector
Summary(pl.UTF-8):	Detector typu plików wykonywalnych PE Microsoftu
Name:		binfmt-detector
Version:	0.2
Release:	1
License:	GPL
Group:		Base
Source0:	http://team.pld-linux.org/~wolf/%{name}.tar.gz
# Source0-md5:	d6e9d6d8888b58c97eb65875853fd778
Source1:	%{name}.init
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Conflicts:	wine <= 1:0.9.12-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This utility determines the Microsoft PE executable file's type
(Native, .NET CLR) and runs it using the appropriate runtime (Wine,
Mono).

It is inteded to be used in a Linux binfmt configuration, since binfmt
itself is incapable of reliably distinguishing between various PE file
types (since they have no different "magic string") and runtimes
refuse to run files which they don't support (CLR runtimes refuse to
run Native images and vice versa).

%description -l pl.UTF-8
To narzędzie określa typ pliku wykonywalnego PE Microsoftu (natywny,
.NET CLR) i uruchamia odpowiednie środowisko wykonawcze (Wine, Mono).

Jest używane w połączeniu z linuksowym binfmt, ponieważ samo binfmt
nie jest w stanie odróżnić różnych typów plików PE (nie zawierają one
różnych "magicznych ciągów"), a środowiska uruchomieniowe nie
pozwalają uruchomić nieobsługiwanych przez siebie plików (CLR nie
uruchamia natywnych obrazów i vice versa).

%prep
%setup -q -n %{name}

%build
%{__cc} %{rpmcflags} binfmt-detector-cli.c -o binfmt-detector-cli

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/rc.d/init.d}

install binfmt-detector-cli $RPM_BUILD_ROOT%{_bindir}
install binfmt-detector.sh $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/binfmt-detector

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add binfmt-detector
%service binfmt-detector restart

%preun
if [ "$1" = "0" ]; then
	%service binfmt-detector stop
	/sbin/chkconfig --del binfmt-detector
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%attr(754,root,root) /etc/rc.d/init.d/binfmt-detector

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: binfmt-detector.spec,v $
Revision 1.11  2007/05/06 10:45:30  wolf
- some fixes suggested by qrczak

Revision 1.10  2007/03/29 17:40:21  arekm
- rel 6

Revision 1.9  2007/03/28 07:04:09  arekm
- rel 5; detect if register file exists

Revision 1.8  2007/03/27 22:40:11  arekm
- rel 4; don't start if no proc dir

Revision 1.7  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.5  2006/09/26 18:59:47  glen
- missing chkconfig dep, updated initscript; rel 3

Revision 1.4  2006/05/23 23:25:26  wolf
- R: rc-scripts
- rel 2

Revision 1.3  2006/05/09 21:22:29  qboosh
- pl fix

Revision 1.2  2006/05/01 15:42:31  darekr
- use %service

Revision 1.1  2006/05/01 15:02:42  wolf
- new
